'\n    enable:Banking SDK\n\n    enable:Banking SDK consists of 4 interfaces:  - [Meta](#auth-api) provides information about available connectors; - [Auth](#auth-api) provides PSU (bank user) authentication and token creation   functionality; - [AISP](#aisp-api) provides functions for accessing account information, such as   transactions and balances, on behalf of a PSU; - [PISP](#pisp-api) provides functions for initiating and conforming payment   requests.  The same calls and data structures are used for interacting with different ASPSPs (banks). In order to use each of the interfaces corresponding instance needs to be created. When instantiating any of the interfaces except Meta, ASPSP connector name and settings need to be supplied. The settings differ from one connector to another (although many of them have the same properties) and are described in the [Connectors](#connectors-types) section of the documentation.  enable:Banking SDK interfaces are based on [STET PSD2 specification](https://www.stet.eu/en/psd2/), but have been modified and extended in order to support usage scenarious beyond the original specification.   # noqa: E501\n\n    API version: 0.4.3\n    Contact: hello@enablebanking.com\n    Generated by enable:Banking SDK generator using Swagger Codegen project\n'
_E='User-Agent'
_D='message'
_C='status'
_B='application/json'
_A=None
import datetime,decimal,json,mimetypes,os,re,tempfile
from multiprocessing.pool import ThreadPool
import enablebanking.models
from enablebanking.configuration import Configuration
from enablebanking.eb import exception
from enablebanking.eb.platform import Platform
class DictProxy:
	def __init__(A,d):A.d=d
	def __getattr__(A,key):
		try:B=A.d[key]
		except KeyError as C:raise AttributeError("no attribute '%s'"%key)
		return proxyDict(B)
	def __iter__(A):return iter(A.d.items())
def proxyDict(v):
	if isinstance(v,dict):return DictProxy(v)
	return v
class ApiClient:
	'Generic API client for Swagger client library builds.\n\n    NOTE: This class is auto generated by the swagger code generator program.\n    Ref: https://github.com/swagger-api/swagger-codegen\n    Do not edit the class manually.\n\n    :param connector_module: name of the connector.\n    :param configuration: .Configuration object for this client\n    ';PRIMITIVE_TYPES=float,bool,bytes,str,int;NATIVE_TYPES_MAPPING={'int':int,'long':int,'float':float,'str':str,'bool':bool,'date':datetime.date,'datetime':datetime.datetime,'object':object,'Decimal':decimal.Decimal}
	def __init__(A,connector_module=_A,connector_settings=_A,configuration=_A,platform=_A):
		F=connector_settings;E=platform;D=configuration;C=connector_module
		if D is _A:D=Configuration()
		A.configuration=D
		if C is _A or isinstance(C,str):from enablebanking import eb_core as B
		else:B=C
		A.eb_core=B
		if E is _A:E=Platform(A.eb_core)
		A.platform=E;A.pool=ThreadPool();A.default_headers={};A.user_agent='enable:Banking/0.4.3/python'
		if C is _A or F is _A:A.connector=B.eb_Meta()
		else:
			if isinstance(C,str):G=getattr(B,'eb_connectors_{}Connector'.format(C))
			else:
				for J in dir(B):
					H=getattr(B,J)
					if getattr(H,'__bases__',_A)==(B.eb_Connector,):G=H;break
			try:A.connector=G(A.platform,**F)
			except B._HxException as I:K=getattr(I.val,_C,_A);L=getattr(I.val,_D,_A);raise exception.CoreException(K,L)
	def __del__(A):A.pool.close();A.pool.join()
	@property
	def user_agent(self):'User agent for this API client';return self.default_headers[_E]
	@user_agent.setter
	def user_agent(self,value):self.default_headers[_E]=value
	def set_default_header(A,header_name,header_value):A.default_headers[header_name]=header_value
	def __call_api(A,resource_path,method,path_params=_A,query_params=_A,header_params=_A,body=_A,post_params=_A,files=_A,response_type=_A,auth_settings=_A,_return_http_data_only=_A,collection_formats=_A,_preload_content=True,_request_timeout=_A):
		L=response_type;K=files;J=body;G=collection_formats;F=query_params;E=path_params;C=post_params;B=header_params;P=A.configuration;B=B or{};B.update(A.default_headers)
		if B:B=A.sanitize_for_serialization(B);B=dict(A.parameters_to_tuples(B,G))
		if E:E=A.sanitize_for_serialization(E);E=A.parameters_to_tuples(E,G)
		if F:F=A.sanitize_for_serialization(F);F=A.parameters_to_tuples(F,G)
		if C or K:C=A.prepare_post_parameters(C,K);C=A.sanitize_for_serialization(C);C=A.parameters_to_tuples(C,G)
		H=A.eb_core.eb_ResourceParam;M=A.eb_core.eb_ResourceData(pathParams=[H(A,B)for(A,B)in E],queryParams=[H(A,B)for(A,B)in F],headerParams=[H(A,C)for(A,C)in B.items()],postParams=[H(A,B)for(A,B)in C],body=A.sanitize_for_serialization(J)if J else J);D=_A
		def N(r):
			if r.error:
				C=getattr(r.error,_C,_A);B=getattr(r.error,_D,_A)
				if B is _A:B=str(r.error)
				if isinstance(r.error,A.eb_core.eb_HttpError):
					E=getattr(r.error,'apiResponse',_A)
					if isinstance(r.error,A.eb_core.eb_InsufficientScopeError):raise exception.InsufficientScopeException(C,B,E)
					if isinstance(r.error,A.eb_core.eb_DataRetrievalError):raise exception.DataRetrievalException(C,B,E)
					raise exception.HttpException(C,B,E)
				if isinstance(r.error,A.eb_core.eb_NotImplementedError):raise exception.NotImplementedException(C,B)
				if isinstance(r.error,A.eb_core.eb_InvalidResponseSignatureError):F=getattr(r.error,'jws');G=getattr(r.error,'responseBody');raise exception.InvalidResponseSignatureException(C,B,F,G)
				raise exception.CoreException(C,B)
			nonlocal D;D=r
		try:A.connector.dispatch(resource_path,method,M,N)
		except A.eb_core._HxException as O:raise O.val
		A.last_response=D;I=D
		if _preload_content:
			if L:I=A.deserialize(D,L)
			else:I=_A
		if _return_http_data_only:return I
		else:return I,D.status,D.getheaders()
	def sanitize_for_serialization(B,obj):
		'Builds a JSON POST object.\n\n        If obj is None, return None.\n        If obj is str, int, long, float, bool, return directly.\n        If obj is datetime.datetime, datetime.date\n            convert to string in iso8601 format.\n        If obj is list, sanitize each element in the list.\n        If obj is dict, return the dict.\n        If obj is swagger model, return the properties dict.\n\n        :param obj: The data to serialize.\n        :return: The serialized form of data.\n        ';A=obj
		if A is _A:return _A
		elif isinstance(A,B.PRIMITIVE_TYPES):return A
		elif isinstance(A,list):return[B.sanitize_for_serialization(C)for C in A]
		elif isinstance(A,tuple):return tuple((B.sanitize_for_serialization(C)for C in A))
		elif isinstance(A,(datetime.datetime,datetime.date)):return A.isoformat()
		elif isinstance(A,decimal.Decimal):return str(A)
		if isinstance(A,dict):C=A
		else:C={A.attribute_map[B]:getattr(A,B)for(B,C)in A.swagger_types.items()if getattr(A,B)is not _A}
		return proxyDict({A:B.sanitize_for_serialization(D)for(A,D)in C.items()})
	def deserialize(A,response,response_type):
		'Deserializes response into an object.\n\n        :param response: RESTResponse object to be deserialized.\n        :param response_type: class literal for\n            deserialized object, or string of class name.\n\n        :return: deserialized object.\n        ';C=response_type;B=response
		if C=='file':return A.__deserialize_file(B)
		D=B.data;return A.__deserialize(D,C)
	def __deserialize(B,data,klass):
		'Deserializes dict, list, str into an object.\n\n        :param data: dict, list or str.\n        :param klass: class literal, or string of class name.\n\n        :return: object.\n        ';C=data;A=klass
		if C is _A:return _A
		if type(A)==str:
			if A.startswith('list['):D=re.match('list\\[(.*)\\]',A).group(1);return[B.__deserialize(A,D)for A in C]
			if A.startswith('dict('):D=re.match('dict\\(([^,]*), (.*)\\)',A).group(2);return{A:B.__deserialize(E,D)for(A,E)in C.items()}
			if A in B.NATIVE_TYPES_MAPPING:A=B.NATIVE_TYPES_MAPPING[A]
			else:A=getattr(enablebanking.models,A)
		if A in B.PRIMITIVE_TYPES:return B.__deserialize_primitive(C,A)
		elif A==object:return B.__deserialize_object(C)
		elif A==datetime.date:return B.__deserialize_date(C)
		elif A==datetime.datetime:return B.__deserialize_datatime(C)
		elif A==decimal.Decimal:return decimal.Decimal(C)
		else:return B.__deserialize_model(C,A)
	def call_api(A,resource_path,method,path_params=_A,query_params=_A,header_params=_A,body=_A,post_params=_A,files=_A,response_type=_A,auth_settings=_A,async_req=_A,_return_http_data_only=_A,collection_formats=_A,_preload_content=True,_request_timeout=_A):
		'Makes the HTTP request (synchronous) and returns deserialized data.\n\n        To make an async request, set the async_req parameter.\n\n        :param resource_path: Path to method endpoint.\n        :param method: Method to call.\n        :param path_params: Path parameters in the url.\n        :param query_params: Query parameters in the url.\n        :param header_params: Header parameters to be\n            placed in the request header.\n        :param body: Request body.\n        :param post_params dict: Request post form parameters,\n            for `application/x-www-form-urlencoded`, `multipart/form-data`.\n        :param auth_settings list: Auth Settings names for the request.\n        :param response: Response data type.\n        :param files dict: key -> filename, value -> filepath,\n            for `multipart/form-data`.\n        :param async_req bool: execute request asynchronously\n        :param _return_http_data_only: response data without head status code\n                                       and headers\n        :param collection_formats: dict of collection formats for path, query,\n            header, and post parameters.\n        :param _preload_content: if False, original object will\n                                 be returned without reading/decoding response\n                                 data. Default is True.\n        :param _request_timeout: timeout setting for this request. If one\n                                 number provided, it will be total request\n                                 timeout. It can also be a pair (tuple) of\n                                 (connection, read) timeouts.\n        :return:\n            If async_req parameter is True,\n            the request will be called asynchronously.\n            The method will return the request thread.\n            If parameter async_req is False or missing,\n            then the method will return the response directly.\n        ';N=_request_timeout;M=_preload_content;L=collection_formats;K=_return_http_data_only;J=auth_settings;I=response_type;H=files;G=post_params;F=header_params;E=query_params;D=path_params;C=method;B=resource_path
		if not async_req:return A.__call_api(B,C,D,E,F,body,G,H,I,J,K,L,M,N)
		else:O=A.pool.apply_async(A.__call_api,(B,C,D,E,F,body,G,H,I,J,K,L,M,N))
		return O
	def parameters_to_tuples(H,params,collection_formats):
		'Get parameters as list of tuples, formatting collections.\n\n        :param params: Parameters as dict or list of two-tuples\n        :param dict collection_formats: Parameter collection formats\n        :return: Parameters as list of tuples, collections formatted\n        ';F=params;B=collection_formats;C=[]
		if B is _A:B={}
		for (A,G) in F.items()if isinstance(F,dict)else F:
			if A in B:
				D=B[A]
				if D=='multi':C.extend(((A,B)for B in G))
				else:
					if D=='ssv':E=' '
					elif D=='tsv':E='\t'
					elif D=='pipes':E='|'
					else:E=','
					C.append((A,E.join((str(A)for A in G))))
			else:C.append((A,G))
		return C
	def prepare_post_parameters(L,post_params=_A,files=_A):
		'Builds form parameters.\n\n        :param post_params: Normal form parameters.\n        :param files: File parameters.\n        :return: Form parameters with files.\n        ';D=files;C=post_params;B=[]
		if C:B=C
		if D:
			for (G,A) in D.items():
				if not A:continue
				H=A if type(A)is list else[A]
				for I in H:
					with open(I,'rb')as E:F=os.path.basename(E.name);J=E.read();K=mimetypes.guess_type(F)[0]or'application/octet-stream';B.append(tuple([G,tuple([F,J,K])]))
		return B
	def select_header_accept(B,accepts):
		'Returns `Accept` based on an array of accepts provided.\n\n        :param accepts: List of headers.\n        :return: Accept (e.g. application/json).\n        ';A=accepts
		if not A:return
		A=[B.lower()for B in A]
		if _B in A:return _B
		else:return ', '.join(A)
	def select_header_content_type(B,content_types):
		'Returns `Content-Type` based on an array of content_types provided.\n\n        :param content_types: List of content-types.\n        :return: Content-Type (e.g. application/json).\n        ';A=content_types
		if not A:return _B
		A=[B.lower()for B in A]
		if _B in A or'*/*'in A:return _B
		else:return A[0]
	def __deserialize_file(D,response):
		'Deserializes body to file\n\n        Saves response body into a file in a temporary folder,\n        using the filename from the `Content-Disposition` header if provided.\n\n        :param response:  RESTResponse.\n        :return: file path.\n        ';B=response;E,A=tempfile.mkstemp(dir=D.configuration.temp_folder_path);os.close(E);os.remove(A);C=B.getheader('Content-Disposition')
		if C:F=re.search('filename=[\\\'"]?([^\\\'"\\s]+)[\\\'"]?',C).group(1);A=os.path.join(os.path.dirname(A),F)
		with open(A,'wb')as G:G.write(B.data)
		return A
	def __deserialize_primitive(A,data,klass):'Deserializes string to primitive type.\n\n        :param data: str.\n        :param klass: class literal.\n\n        :return: int, long, float, str, bool.\n        ';assert type(data)==klass;return data
	def __deserialize_object(A,value):'Return a original value.\n\n        :return: object.\n        ';return value
	def __deserialize_date(B,string):
		'Deserializes string to date.\n\n        :param string: str.\n        :return: date.\n        ';A=string
		try:from dateutil.parser import parse;return parse(A).date()
		except ImportError:return A
	def __deserialize_datatime(B,string):
		'Deserializes string to datetime.\n\n        The string should be in iso8601 datetime format.\n\n        :param string: str.\n        :return: datetime.\n        ';A=string
		try:from dateutil.parser import parse;return parse(A)
		except ImportError:return A
	def __hasattr(A,object,name):return name in object.__class__.__dict__
	def __deserialize_model(C,data,klass):
		'Deserializes list or dict to model.\n\n        :param data: dict, list.\n        :param klass: class literal.\n        :return: model object.\n        ';J='get_real_child_model';B=klass;A=data
		if not B.swagger_types and not C.__hasattr(B,J):return A
		E={}
		if B.swagger_types is not _A:
			for (F,I) in B.swagger_types.items():
				if A is not _A:
					G=B.attribute_map[F]
					if hasattr(A,G):E[F]=C.__deserialize(getattr(A,G),I)
		D=B(**E)
		if C.__hasattr(D,J):
			H=D.get_real_child_model(A)
			if H:D=C.__deserialize(A,H)
		return D