'\n    enable:Banking SDK\n\n    enable:Banking SDK consists of 4 interfaces:  - [Meta](#auth-api) provides information about available connectors; - [Auth](#auth-api) provides PSU (bank user) authentication and token creation   functionality; - [AISP](#aisp-api) provides functions for accessing account information, such as   transactions and balances, on behalf of a PSU; - [PISP](#pisp-api) provides functions for initiating and conforming payment   requests.  The same calls and data structures are used for interacting with different ASPSPs (banks). In order to use each of the interfaces corresponding instance needs to be created. When instantiating any of the interfaces except Meta, ASPSP connector name and settings need to be supplied. The settings differ from one connector to another (although many of them have the same properties) and are described in the [Connectors](#connectors-types) section of the documentation.  enable:Banking SDK interfaces are based on [STET PSD2 specification](https://www.stet.eu/en/psd2/), but have been modified and extended in order to support usage scenarious beyond the original specification.   # noqa: E501\n\n    API version: 0.4.3\n    Contact: hello@enablebanking.com\n    Generated by enable:Banking SDK generator using Swagger Codegen project\n'
_I='aspsp_ids'
_H='consent_revocation'
_G='payments'
_F='scopes'
_E='countries'
_D='environments'
_C='name'
_B='list[str]'
_A=None
import pprint,re
from enablebanking.models.payment_types import PaymentTypes
class Connector:
	'NOTE: This class is auto generated by the swagger code generator program.\n\n    Do not edit the class manually.\n    ';'\n    Attributes:\n      swagger_types (dict): The key is attribute name\n                            and the value is attribute type.\n      attribute_map (dict): The key is attribute name\n                            and the value is json key in definition.\n    ';swagger_types={_C:'str',_D:_B,_E:_B,_F:_B,_H:'bool',_G:'list[PaymentTypes]',_I:_B};attribute_map={_C:_C,_D:_D,_E:_E,_F:_F,_H:'consentRevocation',_G:_G,_I:'aspspIds'}
	def __init__(A,name=_A,environments=_A,countries=_A,scopes=_A,consent_revocation=_A,payments=_A,aspsp_ids=_A):
		'Connector - a model defined in Swagger';G=aspsp_ids;F=payments;E=consent_revocation;D=scopes;C=countries;B=environments;A._name=_A;A._environments=_A;A._countries=_A;A._scopes=_A;A._consent_revocation=_A;A._payments=_A;A._aspsp_ids=_A;A.discriminator=_A
		if name is not _A:A.name=name
		if B is not _A:A.environments=B
		if C is not _A:A.countries=C
		if D is not _A:A.scopes=D
		if E is not _A:A.consent_revocation=E
		if F is not _A:A.payments=F
		if G is not _A:A.aspsp_ids=G
	@property
	def name(self):'Gets the name of this Connector.  # noqa: E501\n\n        Name of the connector  # noqa: E501\n\n        :return: The name of this Connector.  # noqa: E501\n        :rtype: str\n        ';return self._name
	@name.setter
	def name(self,name):'Sets the name of this Connector.\n\n        Name of the connector  # noqa: E501\n\n        :param name: The name of this Connector.  # noqa: E501\n        :type: str\n        ';self._name=name
	@property
	def environments(self):'Gets the environments of this Connector.  # noqa: E501\n\n        List of supported environments (sandbox/production)  # noqa: E501\n\n        :return: The environments of this Connector.  # noqa: E501\n        :rtype: list[str]\n        ';return self._environments
	@environments.setter
	def environments(self,environments):'Sets the environments of this Connector.\n\n        List of supported environments (sandbox/production)  # noqa: E501\n\n        :param environments: The environments of this Connector.  # noqa: E501\n        :type: list[str]\n        ';self._environments=environments
	@property
	def countries(self):'Gets the countries of this Connector.  # noqa: E501\n\n        List of all countries supported by the connector  # noqa: E501\n\n        :return: The countries of this Connector.  # noqa: E501\n        :rtype: list[str]\n        ';return self._countries
	@countries.setter
	def countries(self,countries):'Sets the countries of this Connector.\n\n        List of all countries supported by the connector  # noqa: E501\n\n        :param countries: The countries of this Connector.  # noqa: E501\n        :type: list[str]\n        ';self._countries=countries
	@property
	def scopes(self):'Gets the scopes of this Connector.  # noqa: E501\n\n        List of APIs (aisp/pisp) supported by the connector  # noqa: E501\n\n        :return: The scopes of this Connector.  # noqa: E501\n        :rtype: list[str]\n        ';return self._scopes
	@scopes.setter
	def scopes(self,scopes):'Sets the scopes of this Connector.\n\n        List of APIs (aisp/pisp) supported by the connector  # noqa: E501\n\n        :param scopes: The scopes of this Connector.  # noqa: E501\n        :type: list[str]\n        ';self._scopes=scopes
	@property
	def consent_revocation(self):'Gets the consent_revocation of this Connector.  # noqa: E501\n\n        Marker showning if the consent revocation is supported by a bank  # noqa: E501\n\n        :return: The consent_revocation of this Connector.  # noqa: E501\n        :rtype: bool\n        ';return self._consent_revocation
	@consent_revocation.setter
	def consent_revocation(self,consent_revocation):'Sets the consent_revocation of this Connector.\n\n        Marker showning if the consent revocation is supported by a bank  # noqa: E501\n\n        :param consent_revocation: The consent_revocation of this Connector.  # noqa: E501\n        :type: bool\n        ';self._consent_revocation=consent_revocation
	@property
	def payments(self):'Gets the payments of this Connector.  # noqa: E501\n\n        List of all payment types supported by the connector  # noqa: E501\n\n        :return: The payments of this Connector.  # noqa: E501\n        :rtype: list[PaymentTypes]\n        ';return self._payments
	@payments.setter
	def payments(self,payments):'Sets the payments of this Connector.\n\n        List of all payment types supported by the connector  # noqa: E501\n\n        :param payments: The payments of this Connector.  # noqa: E501\n        :type: list[PaymentTypes]\n        ';self._payments=payments
	@property
	def aspsp_ids(self):'Gets the aspsp_ids of this Connector.  # noqa: E501\n\n        List of all ASPSP ids supported by the connector  # noqa: E501\n\n        :return: The aspsp_ids of this Connector.  # noqa: E501\n        :rtype: list[str]\n        ';return self._aspsp_ids
	@aspsp_ids.setter
	def aspsp_ids(self,aspsp_ids):'Sets the aspsp_ids of this Connector.\n\n        List of all ASPSP ids supported by the connector  # noqa: E501\n\n        :param aspsp_ids: The aspsp_ids of this Connector.  # noqa: E501\n        :type: list[str]\n        ';self._aspsp_ids=aspsp_ids
	def to_dict(D):
		'Returns the model properties as a dict';E='to_dict';B={}
		for (C,G) in D.swagger_types.items():
			A=getattr(D,C)
			if isinstance(A,list):B[C]=list(map(lambda x:x.to_dict()if hasattr(x,E)else x,A))
			elif hasattr(A,E):B[C]=A.to_dict()
			elif isinstance(A,dict):B[C]=dict(map(lambda item:(item[0],item[1].to_dict())if hasattr(item[1],E)else item,A.items()))
			else:B[C]=A
		if issubclass(Connector,dict):
			for (F,A) in D.items():B[F]=A
		return B
	def to_str(A):'Returns the string representation of the model';return pprint.pformat(A.to_dict())
	def __repr__(A):'For `print` and `pprint`';return A.to_str()
	def __eq__(B,other):
		'Returns true if both objects are equal';A=other
		if not isinstance(A,Connector):return False
		return B.__dict__==A.__dict__
	def __ne__(A,other):'Returns true if both objects are not equal';return not A==other