'\n    enable:Banking SDK\n\n    enable:Banking SDK consists of 4 interfaces:  - [Meta](#auth-api) provides information about available connectors; - [Auth](#auth-api) provides PSU (bank user) authentication and token creation   functionality; - [AISP](#aisp-api) provides functions for accessing account information, such as   transactions and balances, on behalf of a PSU; - [PISP](#pisp-api) provides functions for initiating and conforming payment   requests.  The same calls and data structures are used for interacting with different ASPSPs (banks). In order to use each of the interfaces corresponding instance needs to be created. When instantiating any of the interfaces except Meta, ASPSP connector name and settings need to be supplied. The settings differ from one connector to another (although many of them have the same properties) and are described in the [Connectors](#connectors-types) section of the documentation.  enable:Banking SDK interfaces are based on [STET PSD2 specification](https://www.stet.eu/en/psd2/), but have been modified and extended in order to support usage scenarious beyond the original specification.   # noqa: E501\n\n    API version: 0.4.3\n    Contact: hello@enablebanking.com\n    Generated by enable:Banking SDK generator using Swagger Codegen project\n'
_G='tpp_redirect_uri'
_F='client_id'
_E='ca_cert_path'
_D='key_path'
_C='cert_path'
_B='str'
_A=None
import pprint,re
from enablebanking.models.connector_settings import ConnectorSettings
class LHVConnectorSettings(ConnectorSettings):
	'NOTE: This class is auto generated by the swagger code generator program.\n\n    Do not edit the class manually.\n    ';'\n    Attributes:\n      swagger_types (dict): The key is attribute name\n                            and the value is attribute type.\n      attribute_map (dict): The key is attribute name\n                            and the value is json key in definition.\n    ';swagger_types={_C:_B,_D:_B,_E:_B,_F:_B,_G:_B};attribute_map={_C:'certPath',_D:'keyPath',_E:'caCertPath',_F:'clientId',_G:'tppRedirectUri'}
	def __init__(A,cert_path=_A,key_path=_A,ca_cert_path=_A,client_id=_A,tpp_redirect_uri=_A):
		'LHVConnectorSettings - a model defined in Swagger';B=tpp_redirect_uri;A._cert_path=_A;A._key_path=_A;A._ca_cert_path=_A;A._client_id=_A;A._tpp_redirect_uri=_A;A.discriminator=_A;A.cert_path=cert_path;A.key_path=key_path;A.ca_cert_path=ca_cert_path;A.client_id=client_id
		if B is not _A:A.tpp_redirect_uri=B
	@property
	def cert_path(self):'Gets the cert_path of this LHVConnectorSettings.  # noqa: E501\n\n        Path to QWAC certificate in PEM format  # noqa: E501\n\n        :return: The cert_path of this LHVConnectorSettings.  # noqa: E501\n        :rtype: str\n        ';return self._cert_path
	@cert_path.setter
	def cert_path(self,cert_path):
		'Sets the cert_path of this LHVConnectorSettings.\n\n        Path to QWAC certificate in PEM format  # noqa: E501\n\n        :param cert_path: The cert_path of this LHVConnectorSettings.  # noqa: E501\n        :type: str\n        ';A=cert_path
		if A is _A:raise ValueError('Invalid value for `cert_path`, must not be `None`')
		self._cert_path=A
	@property
	def key_path(self):'Gets the key_path of this LHVConnectorSettings.  # noqa: E501\n\n        Path to QWAC certificate private key in PEM format  # noqa: E501\n\n        :return: The key_path of this LHVConnectorSettings.  # noqa: E501\n        :rtype: str\n        ';return self._key_path
	@key_path.setter
	def key_path(self,key_path):
		'Sets the key_path of this LHVConnectorSettings.\n\n        Path to QWAC certificate private key in PEM format  # noqa: E501\n\n        :param key_path: The key_path of this LHVConnectorSettings.  # noqa: E501\n        :type: str\n        ';A=key_path
		if A is _A:raise ValueError('Invalid value for `key_path`, must not be `None`')
		self._key_path=A
	@property
	def ca_cert_path(self):'Gets the ca_cert_path of this LHVConnectorSettings.  # noqa: E501\n\n        Path to CA (QWAC issuer) certificate in PEM format  # noqa: E501\n\n        :return: The ca_cert_path of this LHVConnectorSettings.  # noqa: E501\n        :rtype: str\n        ';return self._ca_cert_path
	@ca_cert_path.setter
	def ca_cert_path(self,ca_cert_path):
		'Sets the ca_cert_path of this LHVConnectorSettings.\n\n        Path to CA (QWAC issuer) certificate in PEM format  # noqa: E501\n\n        :param ca_cert_path: The ca_cert_path of this LHVConnectorSettings.  # noqa: E501\n        :type: str\n        ';A=ca_cert_path
		if A is _A:raise ValueError('Invalid value for `ca_cert_path`, must not be `None`')
		self._ca_cert_path=A
	@property
	def client_id(self):'Gets the client_id of this LHVConnectorSettings.  # noqa: E501\n\n        API client ID  # noqa: E501\n\n        :return: The client_id of this LHVConnectorSettings.  # noqa: E501\n        :rtype: str\n        ';return self._client_id
	@client_id.setter
	def client_id(self,client_id):
		'Sets the client_id of this LHVConnectorSettings.\n\n        API client ID  # noqa: E501\n\n        :param client_id: The client_id of this LHVConnectorSettings.  # noqa: E501\n        :type: str\n        ';A=client_id
		if A is _A:raise ValueError('Invalid value for `client_id`, must not be `None`')
		self._client_id=A
	@property
	def tpp_redirect_uri(self):'Gets the tpp_redirect_uri of this LHVConnectorSettings.  # noqa: E501\n\n        URI where clients are redirected to after giving a consent  # noqa: E501\n\n        :return: The tpp_redirect_uri of this LHVConnectorSettings.  # noqa: E501\n        :rtype: str\n        ';return self._tpp_redirect_uri
	@tpp_redirect_uri.setter
	def tpp_redirect_uri(self,tpp_redirect_uri):'Sets the tpp_redirect_uri of this LHVConnectorSettings.\n\n        URI where clients are redirected to after giving a consent  # noqa: E501\n\n        :param tpp_redirect_uri: The tpp_redirect_uri of this LHVConnectorSettings.  # noqa: E501\n        :type: str\n        ';self._tpp_redirect_uri=tpp_redirect_uri
	def to_dict(D):
		'Returns the model properties as a dict';E='to_dict';B={}
		for (C,G) in D.swagger_types.items():
			A=getattr(D,C)
			if isinstance(A,list):B[C]=list(map(lambda x:x.to_dict()if hasattr(x,E)else x,A))
			elif hasattr(A,E):B[C]=A.to_dict()
			elif isinstance(A,dict):B[C]=dict(map(lambda item:(item[0],item[1].to_dict())if hasattr(item[1],E)else item,A.items()))
			else:B[C]=A
		if issubclass(LHVConnectorSettings,dict):
			for (F,A) in D.items():B[F]=A
		return B
	def to_str(A):'Returns the string representation of the model';return pprint.pformat(A.to_dict())
	def __repr__(A):'For `print` and `pprint`';return A.to_str()
	def __eq__(B,other):
		'Returns true if both objects are equal';A=other
		if not isinstance(A,LHVConnectorSettings):return False
		return B.__dict__==A.__dict__
	def __ne__(A,other):'Returns true if both objects are not equal';return not A==other