'\n    enable:Banking SDK\n\n    enable:Banking SDK consists of 4 interfaces:  - [Meta](#auth-api) provides information about available connectors; - [Auth](#auth-api) provides PSU (bank user) authentication and token creation   functionality; - [AISP](#aisp-api) provides functions for accessing account information, such as   transactions and balances, on behalf of a PSU; - [PISP](#pisp-api) provides functions for initiating and conforming payment   requests.  The same calls and data structures are used for interacting with different ASPSPs (banks). In order to use each of the interfaces corresponding instance needs to be created. When instantiating any of the interfaces except Meta, ASPSP connector name and settings need to be supplied. The settings differ from one connector to another (although many of them have the same properties) and are described in the [Connectors](#connectors-types) section of the documentation.  enable:Banking SDK interfaces are based on [STET PSD2 specification](https://www.stet.eu/en/psd2/), but have been modified and extended in order to support usage scenarious beyond the original specification.   # noqa: E501\n\n    API version: 0.4.3\n    Contact: hello@enablebanking.com\n    Generated by enable:Banking SDK generator using Swagger Codegen project\n'
_C='payment_request'
_B='psu_authentication_factor'
_A=None
import pprint,re
from enablebanking.models.payment_request_resource import PaymentRequestResource
class PaymentRequestConfirmation:
	'NOTE: This class is auto generated by the swagger code generator program.\n\n    Do not edit the class manually.\n    ';'\n    Attributes:\n      swagger_types (dict): The key is attribute name\n                            and the value is attribute type.\n      attribute_map (dict): The key is attribute name\n                            and the value is json key in definition.\n    ';swagger_types={_B:'str',_C:'PaymentRequestResource'};attribute_map={_B:'psuAuthenticationFactor',_C:'paymentRequest'}
	def __init__(A,psu_authentication_factor=_A,payment_request=_A):
		'PaymentRequestConfirmation - a model defined in Swagger';C=payment_request;B=psu_authentication_factor;A._psu_authentication_factor=_A;A._payment_request=_A;A.discriminator=_A
		if B is not _A:A.psu_authentication_factor=B
		if C is not _A:A.payment_request=C
	@property
	def psu_authentication_factor(self):'Gets the psu_authentication_factor of this PaymentRequestConfirmation.  # noqa: E501\n\n        Authentication factor forwarded by the TPP to the ASPSP in order to fulfil the strong customer authentication process   # noqa: E501\n\n        :return: The psu_authentication_factor of this PaymentRequestConfirmation.  # noqa: E501\n        :rtype: str\n        ';return self._psu_authentication_factor
	@psu_authentication_factor.setter
	def psu_authentication_factor(self,psu_authentication_factor):'Sets the psu_authentication_factor of this PaymentRequestConfirmation.\n\n        Authentication factor forwarded by the TPP to the ASPSP in order to fulfil the strong customer authentication process   # noqa: E501\n\n        :param psu_authentication_factor: The psu_authentication_factor of this PaymentRequestConfirmation.  # noqa: E501\n        :type: str\n        ';self._psu_authentication_factor=psu_authentication_factor
	@property
	def payment_request(self):'Gets the payment_request of this PaymentRequestConfirmation.  # noqa: E501\n\n        Original payment request used to initiate the payment  # noqa: E501\n\n        :return: The payment_request of this PaymentRequestConfirmation.  # noqa: E501\n        :rtype: PaymentRequestResource\n        ';return self._payment_request
	@payment_request.setter
	def payment_request(self,payment_request):'Sets the payment_request of this PaymentRequestConfirmation.\n\n        Original payment request used to initiate the payment  # noqa: E501\n\n        :param payment_request: The payment_request of this PaymentRequestConfirmation.  # noqa: E501\n        :type: PaymentRequestResource\n        ';self._payment_request=payment_request
	def to_dict(D):
		'Returns the model properties as a dict';E='to_dict';B={}
		for (C,G) in D.swagger_types.items():
			A=getattr(D,C)
			if isinstance(A,list):B[C]=list(map(lambda x:x.to_dict()if hasattr(x,E)else x,A))
			elif hasattr(A,E):B[C]=A.to_dict()
			elif isinstance(A,dict):B[C]=dict(map(lambda item:(item[0],item[1].to_dict())if hasattr(item[1],E)else item,A.items()))
			else:B[C]=A
		if issubclass(PaymentRequestConfirmation,dict):
			for (F,A) in D.items():B[F]=A
		return B
	def to_str(A):'Returns the string representation of the model';return pprint.pformat(A.to_dict())
	def __repr__(A):'For `print` and `pprint`';return A.to_str()
	def __eq__(B,other):
		'Returns true if both objects are equal';A=other
		if not isinstance(A,PaymentRequestConfirmation):return False
		return B.__dict__==A.__dict__
	def __ne__(A,other):'Returns true if both objects are not equal';return not A==other